VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::ExportFlag Interface Reference

The `ExportFlag` interface provides methods for retrieving information about the export flags supported by the server. More...

Inherited by vmware::vcenter::ovf::ExportFlagStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.List < vmware.vcenter.ovf.ExportFlagTypes.Info > | List ()
| Returns information about the supported export flags by the server.
global::System.Collections.Generic.List < vmware.vcenter.ovf.ExportFlagTypes.Info > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about the supported export flags by the server.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.ovf.ExportFlagTypes.Info > > | ListAsync ()
| Returns information about the supported export flags by the server.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.ovf.ExportFlagTypes.Info > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about the supported export flags by the server.

## Detailed Description

The `ExportFlag` interface provides methods for retrieving information about the export flags supported by the server.

Export flags can be specified in a LibraryItem.CreateSpec to customize an OVF export.

## Member Function Documentation

global::System.Collections.Generic.List<vmware.vcenter.ovf.ExportFlagTypes.Info> vmware::vcenter::ovf::ExportFlag::List | ( |  | ) |

Returns information about the supported export flags by the server.

The supported flags are:

- PRESERVE_MAC Include MAC addresses for network adapters.
- EXTRA_CONFIG Include extra configuration in OVF export.

Future server versions might support additional flags.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Returns:
  A list of supported export flags.

Implemented in vmware::vcenter::ovf::ExportFlagStub.

global::System.Collections.Generic.List<vmware.vcenter.ovf.ExportFlagTypes.Info> vmware::vcenter::ovf::ExportFlag::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns information about the supported export flags by the server.

The supported flags are:

- PRESERVE_MAC Include MAC addresses for network adapters.
- EXTRA_CONFIG Include extra configuration in OVF export.

Future server versions might support additional flags.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Returns:
  A list of supported export flags.

Implemented in vmware::vcenter::ovf::ExportFlagStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.ovf.ExportFlagTypes.Info> > vmware::vcenter::ovf::ExportFlag::ListAsync | ( |  | ) |

Returns information about the supported export flags by the server.

The supported flags are:

- PRESERVE_MAC Include MAC addresses for network adapters.
- EXTRA_CONFIG Include extra configuration in OVF export.

Future server versions might support additional flags.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Returns:
  A list of supported export flags.

Implemented in vmware::vcenter::ovf::ExportFlagStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.ovf.ExportFlagTypes.Info> > vmware::vcenter::ovf::ExportFlag::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns information about the supported export flags by the server.

The supported flags are:

- PRESERVE_MAC Include MAC addresses for network adapters.
- EXTRA_CONFIG Include extra configuration in OVF export.

Future server versions might support additional flags.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Returns:
  A list of supported export flags.

Implemented in vmware::vcenter::ovf::ExportFlagStub.

The documentation for this interface was generated from the following file:

- ExportFlag.cs